Name:           bpython
Summary:        Fancy curses interface to the Python interactive interpreter
Version:        0.20.1
Release:        %mkrel 1
URL:            https://www.bpython-interpreter.org
Group:          Development/Python
License:        MIT
Source0:        https://github.com/bpython/bpython/archive/%{version}-release.tar.gz
Patch0:         bpython-0.19-path.patch

BuildArch:      noarch
BuildRequires:  locales-en
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(babel)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
Requires:       python3dist(urwid)
Recommends:     python3dist(jedi)
Obsoletes:      python3-%{name} < 0.18-3
%{?python_provide:%python_provide python3-%{name}}

%description
bpython is a fancy interface to the Python interpreter for Unix-like
operating systems. It has the following features:
 o in-line syntax highlighting
 o readline-like autocomplete with suggestions displayed as you type
 o expected parameter list for any Python function.
 o eewind function to pop the last line of code from memory and
   re-evaluate.
 o send the code you've entered off to a pastebin and display the
   pastebin URL for copying, etc.
 o save the code you've entered to a file
 o auto indentation

%prep
%autosetup -p1 -n %{name}-%{version}-release

%build
export LC_ALL=en_US.UTF-8
%py3_build

%install
export LC_ALL=en_US.UTF-8
%py3_install


%files
%license LICENSE
%doc AUTHORS CHANGELOG
%doc light.theme sample.theme windows.theme
%{_bindir}/bpdb
%{_bindir}/%{name}
%{_bindir}/%{name}-curses
%{_bindir}/%{name}-urwid
%{python3_sitelib}/%{name}*
%{python3_sitelib}/bpdb
%{_mandir}/man1/%{name}.1*
%{_mandir}/man5/%{name}-config.5*
%{_datadir}/applications/org.bpython-interpreter.%{name}.desktop
%{_datadir}/appdata/org.bpython-interpreter.%{name}.appdata.xml
%{_datadir}/pixmaps/%{name}.png


%changelog
* Tue Nov 17 2020 akien <akien> 0.20.1-1.mga8
+ Revision: 1646829
- Version 0.20.1

* Sat Oct 17 2020 akien <akien> 0.20-1.mga8
+ Revision: 1636567
- Version 0.20

* Tue Apr 28 2020 luigiwalser <luigiwalser> 0.19-1.mga8
+ Revision: 1572574
- 0.19
- add patch from fedora to fix appdata path

* Sun Feb 16 2020 umeabot <umeabot> 0.18-4.mga8
+ Revision: 1532784
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 wally <wally> 0.18-3.mga8
+ Revision: 1443192
- rebuild for python3.8
- drop python2 support

* Mon Aug 05 2019 wally <wally> 0.18-2.mga8
+ Revision: 1427452
- no more sphinx python2 support

* Sun Apr 21 2019 akien <akien> 0.18-1.mga7
+ Revision: 1394347
- Version 0.18

* Mon Jan 07 2019 shlomif <shlomif> 0.17.1-3.mga7
+ Revision: 1351485
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.17.1-2.mga7
+ Revision: 1277750
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 0.17.1-1.mga7
+ Revision: 1229320
- Version 0.17.1

* Sat Aug 05 2017 pterjan <pterjan> 0.17-2.mga7
+ Revision: 1135189
- Rebuild for python 3.6

* Mon Jul 17 2017 akien <akien> 0.17-1.mga7
+ Revision: 1124172
- Version 0.17

* Sun Jan 01 2017 akien <akien> 0.16-1.mga6
+ Revision: 1079112
- Version 0.16

* Mon Mar 14 2016 akien <akien> 0.15-2.mga6
+ Revision: 990632
- Enable python3-urwid version, it seems to work even without python3-twisted
- Version 0.15
- Remove requires redundant with autoreqs
- Recommend jedi for additional features

* Fri Feb 19 2016 umeabot <umeabot> 0.14.2-4.mga6
+ Revision: 970608
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 0.14.2-3.mga6
+ Revision: 887262
- rebuild for python 3.5
- use new python macros

* Mon Jun 22 2015 akien <akien> 0.14.2-2.mga6
+ Revision: 839545
- Rebuild for newly imported curtsies, now mandatory to run bpython

* Mon Jun 22 2015 akien <akien> 0.14.2-1.mga6
+ Revision: 839519
- Adapt spec for new version (partly synced with Fedora)
- gtk build has been dropped
- Version 0.14.2

* Tue Jan 27 2015 akien <akien> 0.13.2-1.mga5
+ Revision: 812481
- Version 0.13.2 (upstreams Patch1)

* Mon Nov 10 2014 akien <akien> 0.13.1-2.mga5
+ Revision: 796229
- Upstream patch to fix pastebin functionality

* Tue Nov 04 2014 akien <akien> 0.13.1-1.mga5
+ Revision: 795506
- import bpython from Fedora

